Get active conversation
curl --request GET \
--url https://api.darwin.so/api/v1/agent/conversation \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.darwin.so/api/v1/agent/conversation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.darwin.so/api/v1/agent/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation": {
"id": "<string>",
"agentId": "<string>",
"title": "<string>",
"messageCount": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastMessageAt": "2023-11-07T05:31:56Z"
},
"messages": [
{
"id": "<string>",
"conversationId": "<string>",
"content": "<string>",
"sequence": 1,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Conversations
Get active conversation
GET
/
agent
/
conversation
Get active conversation
Authorizations
User keys begin with darwin_. Application service-account keys begin with darwin_sa_ and are restricted to linked agents.
Query Parameters
Explicit agent scope. Required for application service accounts; optional for user keys, which otherwise use the selected agent.
Required range:
1 <= x <= 100⌘I